# -*- encoding: utf-8 -*-
# stub: dependor 1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "dependor"
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Adam Pohorecki"]
  s.date = "2013-08-27"
  s.description = "Dependor is not a framework for Dependency Injection, but something thatt reduces duplication a little bit when doing manual dependency injection in settings like Rails apps."
  s.email = ["adam@pohorecki.pl"]
  s.files = [".gitignore", ".pelusa.yml", ".travis.yml", "Gemfile", "Gemfile.lock", "Guardfile", "MIT-LICENSE", "README.md", "Rakefile", "dependor.gemspec", "lib/dependor.rb", "lib/dependor/auto_inject.rb", "lib/dependor/auto_injector.rb", "lib/dependor/class_name_resolver.rb", "lib/dependor/constructor.rb", "lib/dependor/customized_injector.rb", "lib/dependor/dependency_names_cache.rb", "lib/dependor/evaluating_injector.rb", "lib/dependor/exceptions.rb", "lib/dependor/injectable.rb", "lib/dependor/instantiator.rb", "lib/dependor/isolate.rb", "lib/dependor/let.rb", "lib/dependor/rspec.rb", "lib/dependor/sending_injector.rb", "lib/dependor/shorty.rb", "lib/dependor/version.rb", "pelusa.sh", "spec/dependor/auto_inject_spec.rb", "spec/dependor/class_name_resolver_spec.rb", "spec/dependor/constructor_spec.rb", "spec/dependor/customized_injector_spec.rb", "spec/dependor/evaluating_injector_spec.rb", "spec/dependor/injectable_spec.rb", "spec/dependor/instantiator_spec.rb", "spec/dependor/isolate_spec.rb", "spec/dependor/let_spec.rb", "spec/dependor/shorty_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "http://github.com/psyho/dependor"
  s.rubyforge_project = "dependor"
  s.rubygems_version = "2.2.2"
  s.summary = "A couple of classes and modules that simplify dependency injection in Ruby."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<guard>, [">= 0"])
      s.add_development_dependency(%q<guard-rspec>, [">= 0"])
      s.add_development_dependency(%q<growl>, [">= 0"])
      s.add_development_dependency(%q<libnotify>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<coveralls>, [">= 0"])
    else
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<guard>, [">= 0"])
      s.add_dependency(%q<guard-rspec>, [">= 0"])
      s.add_dependency(%q<growl>, [">= 0"])
      s.add_dependency(%q<libnotify>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<coveralls>, [">= 0"])
    end
  else
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<guard>, [">= 0"])
    s.add_dependency(%q<guard-rspec>, [">= 0"])
    s.add_dependency(%q<growl>, [">= 0"])
    s.add_dependency(%q<libnotify>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<coveralls>, [">= 0"])
  end
end
